X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

I am not sure its safe to update my java plug ins so i ignored it. everything else is updated. what should I do? nothing?

Posted

I read all the reports about how unsafe java is. I am very leery about updating it or even touching that plug in. do I need java and what does it do? I see it says I need to update it. but I did not even go there.

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.5 r502
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.5
  • Google Update
  • 5.1.10411.0
  • NPWLPG
  • Best Buy pc app Detector Plug-in
  • NPRuntime Script Plug-in Library for Java(TM) Deploy

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/20100101 Firefox/18.0

More Information

Reset Firefox to its default state
If you're having major problems which you can't resolve, start fresh with only your essential information.
Troubleshooting Information
This page contains technical information that might be useful when you're
trying to solve a problem. If you are looking for answers to common questions
about Firefox, check out our support website.
Application Basics
Name
Firefox
Version
18.0
User Agent
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/20100101 Firefox/18.0
Profile Folder
Enabled Plugins
about:plugins
Build Configuration
about:buildconfig
Crash Reports
about:crashes
Memory Use
about:memory
Extensions
Name
Version
Enabled
ID
Norton Toolbar2012.5.6.10false{2D3F3651-74B9-4795-BDEC-6DA2F431CB62}Norton Vulnerability Protection10.1.0.68 - 2false{BBDA0591-3099-440a-AA10-41764D9DB4DB}
Important Modified Preferences
Name
Value
accessibility.blockautorefreshtruebrowser.cache.disk.capacity358400browser.cache.disk.smart_size.first_runfalsebrowser.cache.disk.smart_size.use_old_maxfalsebrowser.cache.disk.smart_size_cached_value358400browser.places.smartBookmarksVersion4browser.startup.homepage_override.buildID20130104151925browser.startup.homepage_override.mstone18.0extensions.lastAppVersion18.0gfx.direct3d.prefer_10_1truekeyword.URLhttps://isearch.avg.com/search?cid=%7Bcd364cdb-dede-4e6c-b188-69379c23a89f%7D&mid=eaa405c7a69047d0ab670d47e7d3c05f-3bc39network.cookie.prefsMigratedtrueplaces.database.lastMaintenance1357665903places.history.expiration.transient_current_max_pages104858privacy.cpd.offlineAppstrueprivacy.cpd.siteSettingstrueprivacy.donottrackheader.enabledtrueprivacy.sanitize.migrateFx3Prefstrueprivacy.sanitize.timeSpan0security.warn_viewing_mixedfalse
Graphics
Adapter DescriptionIntel(R) HD Graphics FamilyAdapter Driversigdumd64 igd10umd64 igd10umd64 igdumdx32 igd10umd32 igd10umd32Adapter RAMUnknownDevice ID0x0116Direct2D EnabledtrueDirectWrite Enabledtrue (6.1.7601.17789)Driver Date6-26-2011Driver Version8.15.10.2430GPU #2 ActivefalseGPU Accelerated Windows1/1 Direct3D 10Vendor ID0x8086WebGL RendererGoogle Inc. -- ANGLE (Intel(R) HD Graphics Family)
AzureCanvasBackenddirect2dAzureContentBackenddirect2dAzureFallbackCanvasBackendcairo
JavaScript
Incremental GC
true
Accessibility
Activated
false
Prevent Accessibility
0
Library Versions
Expected minimum versionVersion in useNSPR4.9.44.9.4NSS3.14.1.0 Basic ECC3.14.1.0 Basic ECCNSSSMIME3.14.1.0 Basic ECC3.14.1.0 Basic ECCNSSSSL3.14.1.0 Basic ECC3.14.1.0 Basic ECCNSSUTIL3.14.1.03.14.1.0

Tyler Downer
  • Administrator
  • Moderator
1164 solutions 6634 answers

If you use Java, you should always keep it up to date (The latest version if Java 7 update 11). That being said, if you don't use it (it's normally used by some websites for games and other content) you should disable it.